Subject: bug#54722: 28.1: colors in alacritty terminal

From: Daniel Lublin <[email-masked]>
Date: Tue, 5 Apr 2022 10:44:16 +0200

I'm trying out emacs 28, coming from 27.2 on an Arch system. I have an issue
with the colors displayed when running in alacritty terminal. Running in
urxvt and xterm is fine.

I see different hues of most colors, and list-colors-display looks
completely different in alacritty vs urxvt. I'm attaching a screenshot of
what it looks like. On the left is alacritty, on the right urxvt. Running
emacs -nw -q --no-site-file -nsl

In #emacs on libera I was pointed at
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=48439 and I tried removing the
alacritty alias, but that didn't help.

My system has ncurses 6.3 which does have terminfo for alacritty.

-- 
Daniel
lublin.se